# AppliedBillingCyclePromotion

### Fields

#### active ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether or not this promotion is currently active

#### amountUsedIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total amount used, only relevant for promotions with monetary limit

#### deactivateAfterAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The amount after which the promotion should get deactivated on a customer

#### deactivateAfterTimes ([Int](/graphql-api/api-reference/objects/int.md))

After how many times this promotion is "used up" for a customer

#### deactivationStrategy ([AppliedPromotionDeactivationStrategy](/graphql-api/api-reference/objects/applied-promotion-deactivation-strategy.md)!)

Which mechanism will be used to deactivate the applied promotion

#### discountCode ([DiscountCode](/graphql-api/api-reference/objects/discount-code.md))

The discount code that applied this promotion.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

ID to identify the applied promotion with

#### invoices (\[[Invoice](/graphql-api/api-reference/objects/invoice.md)!]!)

Invoices on which this promotion was applied.

#### promotion ([Promotion](/graphql-api/api-reference/objects/promotion.md)!)

The associated promotion

#### timesUsed ([Int](/graphql-api/api-reference/objects/int.md)!)

The amount of times this applied promotion has been used.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/applied-billing-cycle-promotion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
